#ifndef LOG_H
#define LOG_H

#include <QString>
#include <QTextEdit>
#include <QFile>

class Log : public QObject
{
	Q_OBJECT
public:
	Log(QTextEdit *txtLog, QString fileName, int mode);
	void addEntry(QString entry);
	bool saveToFile(QString fName);
	bool saveToFile();

private:
	QTextEdit *logText;
	QString fileName;
	int logMode;
	QFile *logFile;
	QString text;
};
#endif
